<ion-header [translucent]="true">
  <ion-toolbar background="#b3c9ff">
    <ion-buttons slot="primary">
      <ion-button (click)="share()">
        <ion-icon slot="icon-only" ios="share-outline" md="share-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-item lines="none">
      <ion-label style="font-weight: 600;font-size: 0.9em;">
        Food Expiry Date Tracker      
      </ion-label>
    </ion-item>
  </ion-toolbar>
</ion-header>
<ion-content [fullscreen]="true">

  <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>

  <ion-card *ngFor="let item of foodExpiry; let i =index" class="ion-margin" padding class="bg-class">
    <ion-card-header>
      <ion-item color="tertiary">
        <ion-icon size="small" name="ellipse" color="success"></ion-icon>
        <ion-label>{{item.value.itemFood}}</ion-label>
      </ion-item>
    </ion-card-header>

    <ion-card-content>
      <ion-label>Expiration Date:  {{item.value.itemDate | date: 'MMMM-d-yyyy'}}</ion-label>
    </ion-card-content>

  <ion-row>
    <ion-item button class="button1" (click)="update(item)" color="primary" size="small">
      <ion-icon name= "create-outline"></ion-icon>
      <p>Edit</p>
    </ion-item>

    <ion-item button class="button2" (click)="deleteFood(item.key)" (click)="foodDeleted()" color="primary" size="small">
      <ion-icon name= "trash-outline" ></ion-icon>
      <p>Delete</p>
    </ion-item>


  </ion-row>

</ion-card>  

<ion-fab vertical="bottom" horizontal="end" slot="fixed">
  <ion-fab-button (click)="addFood()">
    <ion-icon name="add"></ion-icon>
  </ion-fab-button>
</ion-fab>

</ion-content>
